---
lang: en
title: 'API docs: repository-json-schema.stringtypetowrapper'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository-json-schema.stringtypetowrapper.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository-json-schema](./repository-json-schema.md) &gt; [stringTypeToWrapper](./repository-json-schema.stringtypetowrapper.md)

## stringTypeToWrapper() function

Gets the wrapper function of primitives string, number, and boolean

<b>Signature:</b>

```typescript
export declare function stringTypeToWrapper(type: string | Function): Function;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  type | <code>string &#124; Function</code> | Name of type |

<b>Returns:</b>

`Function`


